package com.heyu.api.data.service.calca;
/**
* <p>
* 账户表 服务类
* </p>
*
* @author quyixiao
* @since 2025-03-04
*/
import com.baomidou.mybatisplus.extension.service.IService;
import com.heyu.api.data.entity.calca.CalcaAccountEntity;
public interface CalcaAccountService extends IService<CalcaAccountEntity> {



	CalcaAccountEntity selectCalcaAccountById(Long id);


	Long insertCalcaAccount(CalcaAccountEntity calcaAccount);


	Long insertOrUpdateCalcaAccount(CalcaAccountEntity calcaAccount);


	int updateCalcaAccountById(CalcaAccountEntity calcaAccount);


	int updateCoverCalcaAccountById(CalcaAccountEntity calcaAccount);


	int deleteCalcaAccountById(Long id);


	CalcaAccountEntity selectCalcaAccountByUserName(String userName);
}